
exports.up = function (knex, Promise) {
    return knex.schema.createTable('groups', function (table) {
        table.increments('id').unsigned().primary();
        table.dateTime('createdAt').defaultTo(knex.fn.now());
        table.dateTime('updatedAt').defaultTo(knex.fn.now());

        table.string('name').notNullable();
        table.string('website').defaultTo('');
        table.text('description').defaultTo('');
        table.enum('school', ['polytechnique', 'ensta', 'supoptique']).notNullable();
    });
};

exports.down = function (knex, Promise) {
    return knex.schema.dropTable('groups');
};
