const path = require('path');

/**
 * @file knexfile est requis par le module knexjs. Il permet de spécifier le mode de communication avec la BDD, et comprend identifiants et mots de passe.
 * @author Will Jallet
 * */
module.exports = {
    development: {
        client: 'pg',
        connection: {
            host: 'localhost',
            user: 'will',
            password: 'password',
            database: 'sigma_dev',
            charset: 'utf8'
        },
        pool: {
            min: 2,
            max: 10
        },
        migrations: {
            tableName: 'knex_migrations',
            directory: path.resolve('./db/migrations')
        },
        seeds: {
            directory: path.resolve('./db/seeds')
        }
    }
};
