/**
 * @file index
 * @summary Entry point de webpack. Finit de setup le server avec ./ldap_auth et ./admin_view
 */

import server from './server';
import colors from 'colors';

import { graphqlExpress, graphiqlExpress } from 'graphql-server-express';
import makeExecutableSchema from 'graphql-tools';

import setupLdapAuth from './ldap_auth/ldap_auth';
import router from './admin_view/admin_router';

// setting up ldap authentication
setupLdapAuth(server);

// setting up l'interface admin des BDD
server.use(router);

let port = process.env.PORT || 3000;

server.listen(port, () => {
    console.log(colors.blue(`Express server listening on port ${port}`));
});
